﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using projectDoubleDeckerBus.Drawings;
using projectDouble_Decker_Bus.MovementStrategy;
using projectDoubleDeckerBus.Generics;

namespace projectDoubleDeckerBus.Generics
{
    internal class BusesGenericStorage
    {
        readonly Dictionary<string, BusesGenericCollection<DrawningBus, DrawningObjectBus>> _busStorages;
        public List<string> Keys => _busStorages.Keys.ToList();
        private readonly int _pictureWidth;
        private readonly int _pictureHeight;
        public BusesGenericStorage(int pictureWidth, int pictureHeight)
        {
            _busStorages = new Dictionary<string, BusesGenericCollection<DrawningBus, DrawningObjectBus>>();
            _pictureWidth = pictureWidth;
            _pictureHeight = pictureHeight;
        }
        public void AddSet(string name)
        {
            if (_busStorages.ContainsKey(name)) return;
            _busStorages[name] = new BusesGenericCollection<DrawningBus, DrawningObjectBus>(_pictureWidth, _pictureHeight);
        }

        public void DelSet(string name)
        {
            if (!_busStorages.ContainsKey(name)) return;
            _busStorages.Remove(name);
        }

        public BusesGenericCollection<DrawningBus, DrawningObjectBus>?
        this[string ind]
        {
            get
            {
                if (_busStorages.ContainsKey(ind)) return _busStorages[ind];
                return null;
            }
        }

    }
}
