﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using projectDoubleDeckerBus.Entity;
using projectDoubleDeckerBus.Drawings;
using System.Drawing;
using projectDoubleDeckerBus;
using System.Collections.Generic;

namespace projectDouble_Decker_Bus.MovementStrategy
{
    public class DrawningObjectBus : IMoveableObject
    {
        private readonly DrawningBus? _drawningBus = null;
        public DrawningObjectBus(DrawningBus drawningBus)
        {
            _drawningBus = drawningBus;
        }
        public ObjectParameters? GetObjectPosition
        {
            get
            {
                if (_drawningBus == null || _drawningBus.EntityBus ==
                null)
                {
                    return null;
                }
                return new ObjectParameters(_drawningBus.GetPosX,
                _drawningBus.GetPosY, _drawningBus.GetWidth, _drawningBus.GetHeight);
            }
        }
        public int GetStep => (int)(_drawningBus?.EntityBus?.Step ?? 0);
        public bool CheckCanMove(Direction direction) =>
        _drawningBus?.CanMove(direction) ?? false;
        public void MoveObject(Direction direction) =>
        _drawningBus?.MoveTransport(direction);
    }
}
