﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Drawing;
using System.Collections.Generic;

namespace projectDoubleDeckerBus.Entity
{
   public class EntityDoubleDeckerBus : EntityBus
    {
        /// <summary>
        /// Дополнительный цвет (для опциональных элементов)
        /// </summary>
        public Color AdditionalColor { get; private set; }
        /// <summary>
        /// Признак (опция) наличия фары
        /// </summary>
        public bool Floor { get; private set; }
        /// <summary>
        /// Признак (опция) наличия выхлопа
        /// </summary>
        public bool Tailpipe { get; private set; }
        /// <summary>
        /// Инициализация полей объекта-класса спортивного автобуса
        /// </summary>      
        /// /// <summary>
        /// Инициализация полей объекта-класса спортивного автомобиля
        /// </summary>
        /// <param name="speed">Скорость</param>
        /// <param name="weight">Вес автомобиля</param>
        /// <param name="bodyColor">Основной цвет</param>
        /// <param name="additionalColor">Дополнительный цвет</param>
        /// <param name="headlight">Признак наличия фары</param>
        /// <param name="floor">Признак наличия второго этажаы</param>
        /// <param name="tailpipe">Признак наличия выхлопа</param>
        public EntityDoubleDeckerBus(int speed, double weight, Color bodyColor, Color additionalColor, bool floor, bool tailpipe)
        : base(speed, weight, bodyColor)
        {
            AdditionalColor = additionalColor;
            Floor = floor;
            Tailpipe = tailpipe;
        }
    }
}